## ros-one-fake-joint-driver 0.0.4-6jammy.20251023.1014

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fake_joint_driver)

find_package(catkin REQUIRED COMPONENTS
  hardware_interface
  controller_manager
  roscpp
  roslaunch
  urdf
  xacro
)

# catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS hardware_interface roscpp
  INCLUDE_DIRS include
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_executable(fake_joint_driver_node
  src/fake_joint_driver_node.cpp src/fake_joint_driver.cpp)

target_link_libraries(fake_joint_driver_node
  ${catkin_LIBRARIES} )

install(TARGETS fake_joint_driver_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config robot test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

catkin_install_python(
  PROGRAMS test/test_fake_joint_driver.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-runtime/int")
  set(ROSLINT_PYTHON_OPTS "--max-line-length=180")
  roslint_cpp(src/fake_joint_driver.cpp src/fake_joint_driver_node.cpp)
  # add_dependencies(tests roslint)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  find_package(rostest REQUIRED)
  add_rostest(test/fake_joint_driver.test)
endif()

=== debian/changelog ===
ros-one-fake-joint-driver (0.0.4-6jammy.20251023.1014) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 10:14:25 +0000

ros-one-fake-joint-driver (0.0.4-0jammy) jammy; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 18 Dec 2019 00:00:00 -0000

ros-one-fake-joint-driver (0.0.3-0jammy) jammy; urgency=high

  * Add start_position parameter(#3 <https://github.com/tork-a/fake_joint/issues/3>)
  * 0.0.2
  * Add fake_joint meta-package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Aug 2018 00:00:00 -0000

ros-one-fake-joint-driver (0.0.1-0jammy) jammy; urgency=high

  * Add copyright to source files
  * Eliminate xacro warning
  * Add README and image
  * Add vs060 settings
  * Add travis badge
  * Add launch and re-organize the package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 16 Aug 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-fake-joint-driver
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-manager, ros-one-hardware-interface, ros-one-roscpp, ros-one-roslaunch, ros-one-urdf, ros-one-xacro
Homepage: http://wiki.ros.org/fake_joint_driver
Standards-Version: 3.9.2

Package: ros-one-fake-joint-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-manager, ros-one-hardware-interface, ros-one-joint-state-controller, ros-one-joint-trajectory-controller, ros-one-position-controllers, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-roslaunch, ros-one-urdf, ros-one-xacro
Description: The fake_joint_driver package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-fake-joint-driver//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-fake-joint-driver 0.0.4-6jammy.20260221.2144

=== debian/changelog ===
ros-one-fake-joint-driver (0.0.4-6jammy.20260221.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 21:44:12 +0000

## ros-one-fake-joint-driver 0.0.4-6noble.20251023.1031

=== debian/changelog ===
ros-one-fake-joint-driver (0.0.4-6noble.20251023.1031) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 23 Oct 2025 10:31:19 +0000

ros-one-fake-joint-driver (0.0.4-0noble) noble; urgency=high



 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 18 Dec 2019 00:00:00 -0000

ros-one-fake-joint-driver (0.0.3-0noble) noble; urgency=high

  * Add start_position parameter(#3 <https://github.com/tork-a/fake_joint/issues/3>)
  * 0.0.2
  * Add fake_joint meta-package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 31 Aug 2018 00:00:00 -0000

ros-one-fake-joint-driver (0.0.1-0noble) noble; urgency=high

  * Add copyright to source files
  * Eliminate xacro warning
  * Add README and image
  * Add vs060 settings
  * Add travis badge
  * Add launch and re-organize the package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Thu, 16 Aug 2018 00:00:00 -0000

## ros-one-fake-joint-driver 0.0.4-6noble.20260221.2234

=== debian/changelog ===
ros-one-fake-joint-driver (0.0.4-6noble.20260221.2234) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sat, 21 Feb 2026 22:34:04 +0000
